> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Incident Notes

> 	Get any CAD notes the system has generated for a Call.

	This endpoint is intended to be used by CADs that prefer to poll for Notes instead of receiving them via push.




## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs get /realtime/v1/cad/incident/{callId}/notes
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/cad/incident/{callId}/notes:
    get:
      tags:
        - CAD Integration
      summary: Incident Notes
      description: "\tGet any CAD notes the system has generated for a Call.\n\n\tThis endpoint is intended to be used by CADs that prefer to poll for Notes instead of receiving them via push.\n"
      operationId: incidentNotes
      parameters:
        - name: callId
          in: path
          description: Unique ID of the Assist Call to pull notes for.
          required: true
          schema:
            type: string
        - name: cursor
          in: query
          description: >
            When omitted on a request, the response will contain the earliest
            note up to some maximum. The response will

            also contain a `cursor` value. When sent on subsequent requests,
            only notes beyond the cursor will be sent. This

            allows for both paging operations and continual polling to work
            without sending the same set of notes every time.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response contains notes generated for the incident.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/IncidentNoteResponse'
        default:
          description: Indicates an error while fetching incident notes.
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/CadIntegrationError'
components:
  schemas:
    IncidentNoteResponse:
      type: object
      description: Response containing notes for a CAD Incident.
      properties:
        cursor:
          type: string
          description: >-
            Value must be used on subsequent calls to load the next set of
            IncidentNotes in the sequence.
        notes:
          type: array
          description: >-
            List of notes that were generated by the system and could be entered
            into the CAD.
          items:
            $ref: '#/components/schemas/IncidentNote'
    CadIntegrationError:
      type: object
      description: Response used for errors during CAD integration calls.
      properties:
        message:
          type: string
          description: Error message.
    IncidentNote:
      type: object
      description: Represents a note that may be entered into the CAD.
      properties:
        noteId:
          type: string
          description: >-
            Unique ID of the note assigned by Assist. If stored by the CAD, this
            can allow for existing notes to be updated.
        type:
          type: string
          description: Note type.
          enum:
            - CALL_COMPLETED
            - INFO
        note:
          type: string
          description: Note to be entered into the CAD.
        critical:
          type: boolean
          description: If true, indicates the note is considered critical
        createdAt:
          type: string
          description: >-
            Date and time formatted as an ISO8601 string, e.g.
            'yyyy-MM-ddTHH:mm:ssZ'

````